# texte.c File Reference

`#include <string.h>`
`#include <stdlib.h>`
`#include <ctype.h>`
`#include <SDL_ttf.h>`
`#include <SDL_image.h>`
`#include "SFont.h"`
`#include "struct.h"`
`#include "global.h"`
`#include "sdlscreen.h"`
`#include "io.h"`
`#include "files.h"`

## Data Structures
struct | T_FONTE
## Defines
#define | EXTID(a, b, c) ((((a)&255)<<16) | (((b)&255)<<8) | (((c)&255)))
#define | EXTID4(a, b, c, d) ((((a)&255)<<24) | (((b)&255)<<16) | (((c)&255)<<8) | (((d)&255)))
## Functions
int | Compare_fontes (T_FONTE *Fonte1, T_FONTE *Fonte2)
void | Ajout_fonte (const char *Nom)
char * | Nom_fonte (int Indice)
char * | Libelle_fonte (int Indice)
int | TrueType_fonte (int Indice)
void | Initialisation_Texte (void)
int | Support_TrueType ()
byte * | Rendu_Texte_TTF (const char *Chaine, int Numero_fonte, int Taille, int AntiAlias, int Bold, int Italic, int *Largeur, int *Hauteur)
byte * | Rendu_Texte_SFont (const char *Chaine, int Numero_fonte, int *Largeur, int *Hauteur)
byte * | Rendu_Texte (const char *Chaine, int Numero_fonte, int Taille, int AntiAlias, int Bold, int Italic, int *Largeur, int *Hauteur)
## Variables
T_FONTE * | Liste_fontes_debut
int | Fonte_nombre

## Define Documentation

#define EXTID | ( | a,
|  | b,
|  | c |  | ) | ((((a)&255)<<16) | (((b)&255)<<8) | (((c)&255)))

Referenced by Ajout_fonte().

#define EXTID4 | ( | a,
|  | b,
|  | c,
|  | d |  | ) | ((((a)&255)<<24) | (((b)&255)<<16) | (((c)&255)<<8) | (((d)&255)))

## Function Documentation

int Compare_fontes | ( | T_FONTE * | Fonte1,
|  | T_FONTE * | Fonte2 |
| ) |  |  |

References T_FONTE::EstImage, and T_FONTE::Libelle.

Referenced by Ajout_fonte().

void Ajout_fonte | ( | const char * | Nom | ) |

References Compare_fontes(), T_FONTE::EstImage, T_FONTE::EstTrueType, EXTID, Fonte, Fonte_nombre, T_FONTE::Libelle, T_FONTE::Nom, Nom_fonte(), Position_dernier_slash(), T_FONTE::Precedente, and T_FONTE::Suivante.

Referenced by Initialisation_Texte().

char* Nom_fonte | ( | int | Indice | ) |

References Fonte, Fonte_nombre, T_FONTE::Nom, and T_FONTE::Suivante.

Referenced by Ajout_fonte(), Rendu_Texte_SFont(), and Rendu_Texte_TTF().

char* Libelle_fonte | ( | int | Indice | ) |

References Fonte, Fonte_nombre, T_FONTE::Libelle, and T_FONTE::Suivante.

Referenced by Dessiner_selecteur_fontes().

int TrueType_fonte | ( | int | Indice | ) |

References T_FONTE::EstTrueType, Fonte, Fonte_nombre, and T_FONTE::Suivante.

Referenced by Bouton_Texte().

void Initialisation_Texte | ( | void |  | ) |

References Ajout_fonte(), Fonte_nombre, for_each_file(), Repertoire_des_donnees, and TAILLE_CHEMIN_FICHIER.

Referenced by Initialisation_du_programme().

int Support_TrueType | ( | void |  | ) |

Referenced by Bouton_Stats().

byte* Rendu_Texte_TTF | ( | const char * | Chaine,
|  | int | Numero_fonte,
|  | int | Taille,
|  | int | AntiAlias,
|  | int | Bold,
|  | int | Italic,
|  | int * | Largeur,
|  | int * | Hauteur |
| ) |  |  |

References Back_color, CM_Blanc, CM_Noir, Conversion_couleur_SDL(), Fonte, Fore_color, Nom_fonte(), and Surface_en_bytefield().

Referenced by Rendu_Texte().

byte* Rendu_Texte_SFont | ( | const char * | Chaine,
|  | int | Numero_fonte,
|  | int * | Largeur,
|  | int * | Hauteur |
| ) |  |  |

References Fonte, Nom_fonte(), SFont_FreeFont(), SFont_InitFont(), SFont_TextHeight(), SFont_TextWidth(), SFont_Write(), and Surface_en_bytefield().

Referenced by Rendu_Texte().

byte* Rendu_Texte | ( | const char * | Chaine,
|  | int | Numero_fonte,
|  | int | Taille,
|  | int | AntiAlias,
|  | int | Bold,
|  | int | Italic,
|  | int * | Largeur,
|  | int * | Hauteur |
| ) |  |  |

References T_FONTE::EstTrueType, Fonte, Fonte_nombre, Rendu_Texte_SFont(), Rendu_Texte_TTF(), and T_FONTE::Suivante.

Referenced by Bouton_Texte().

## Variable Documentation

T_FONTE* Liste_fontes_debut

int Fonte_nombre

Referenced by Ajout_fonte(), Bouton_Texte(), Initialisation_Texte(), Libelle_fonte(), Nom_fonte(), Rendu_Texte(), and TrueType_fonte().